VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
SynthData< VoiceT, kEventBufferSize, kNumVoices > Struct Template Reference

`#include <mdaBaseProcessor.h>`

## Public Types
using | VOICE = VoiceT
using | EventArray = std::array< Event, kEventBufferSize >
using | EventPos = typename EventArray::size_type
using | VoiceArray = std::array< VOICE, kNumVoices >

## Public Member Functions
void | init () noexcept
bool | hasEvents () const noexcept
void | clearEvents () noexcept
void | processEvent (const Event &e) noexcept

## Public Attributes
EventArray | events
EventPos | eventPos {0}
VoiceArray | voice
int32 | activevoices {0}
int32 | sustain {0}

## Static Public Attributes
static constexpr int32 | eventBufferSize = kEventBufferSize
static constexpr int32 | numVoices = kNumVoices
static constexpr int32 | eventsDoneID = 99999999

## Member Typedef Documentation

using VOICE = VoiceT

using EventArray = std::array<Event, kEventBufferSize>

using EventPos = typename EventArray::size_type

using VoiceArray = std::array<VOICE, kNumVoices>

## Member Function Documentation

void init | ( |  | ) |
| inline noexcept

bool hasEvents | ( |  | ) | const
| inline noexcept

void clearEvents | ( |  | ) |
| inline noexcept

void processEvent | ( | const Event & | e | ) |
| inline noexcept

## Member Data Documentation

constexpr int32 eventBufferSize = kEventBufferSize
| static

constexpr int32 numVoices = kNumVoices
| static

constexpr int32 eventsDoneID = 99999999
| static

EventArray events

EventPos eventPos {0}

VoiceArray voice

int32 activevoices {0}

int32 sustain {0}

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.